<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__stack__lib__version__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_stack_lib_version_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__stack__lib__version__t_1af9f3b83f419cdd2fff8c8619587f51d8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_lib_version_t::majorVersion</definition>
        <argsstring />
        <name>majorVersion</name>
        <briefdescription>
<para>The major version of the library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1362" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1362" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__lib__version__t_1adefd0c6a674125b4f97c5ed8488a1924" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_lib_version_t::minorVersion</definition>
        <argsstring />
        <name>minorVersion</name>
        <briefdescription>
<para>The minor version of the library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1365" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1365" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__lib__version__t_1a42e87ab694568e6d053f6111f05bfc4e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_stack_lib_version_t::patch</definition>
        <argsstring />
        <name>patch</name>
        <briefdescription>
<para>The patch number of the library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1368" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1368" />
      </memberdef>
      <memberdef id="structcy__stc__ble__stack__lib__version__t_1a64876a975658e3f63a858a75e3fa9d7a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_stack_lib_version_t::buildNumber</definition>
        <argsstring />
        <name>buildNumber</name>
        <briefdescription>
<para>The build number of the library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1371" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1371" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is used to hold version information of the BLE Stack Library. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1373" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1359" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1360" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__stack__lib__version__t_1a64876a975658e3f63a858a75e3fa9d7a" virt="non-virtual"><scope>cy_stc_ble_stack_lib_version_t</scope><name>buildNumber</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__lib__version__t_1af9f3b83f419cdd2fff8c8619587f51d8" virt="non-virtual"><scope>cy_stc_ble_stack_lib_version_t</scope><name>majorVersion</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__lib__version__t_1adefd0c6a674125b4f97c5ed8488a1924" virt="non-virtual"><scope>cy_stc_ble_stack_lib_version_t</scope><name>minorVersion</name></member>
      <member prot="public" refid="structcy__stc__ble__stack__lib__version__t_1a42e87ab694568e6d053f6111f05bfc4e" virt="non-virtual"><scope>cy_stc_ble_stack_lib_version_t</scope><name>patch</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>